Исправљање грешака Инсталирање Мицрософт .НЕТ Фрамеворк 3.5 у Виндовс 8/8.1/10

Мицрософт .НЕТ Фрамеворк је један од најважнијих додатака које је потребно инсталирати у систему Виндовс. Срећом, Виндовс 8 или новији долазе са најновија верзија .НЕТ Фрамеворк -а унапред инсталиран. У овом чланку ћемо погледати неке од начина инсталирања ранијих верзија .НЕТ Фрамеворк -а и решавања проблема који се могу појавити током инсталације.
Брзи резиме сакрити 1 Зашто је .НЕТ Фрамеворк 3.5 важан? 2 Инсталирање .НЕТ Фрамеворк 3.5 на захтев 3 Инсталирање .НЕТ Фрамеворк 3.5 са контролне табле 4 Инсталирање .НЕТ Фрамеворк 3.5 у офлајн режиму без повезивања на Интернет 5 Преузмите .НЕТ Фрамеворк 3.5 оффлине инсталатер 6 Отклањање грешака током инсталације оквира 6.1 Грешке 0к800Ф081Ф и 0к800Ф0906 6.2 Коришћење смерница групе за контролу инсталације

Зашто је .НЕТ Фрамеворк 3.5 важан?

Док најновија верзија може бити .НЕТ Фрамеворк 4.5.2 који је унапред инсталиран у оперативном систему Виндовс 8.1, увек постоји потреба за ранијом верзијом оквира која је неопходна за покретање апликација које захтевају посебно верзију 3.5 или старију. Верзија 3.5 се такође може инсталирати уз бочну верзију 4 или новију. Због тога је важно да имате .НЕТ Фрамеворк 3.5 инсталиран на систему да би старије апликације радиле исправно.

Постоје различити начини инсталирања оквира. Неки од њих су размотрени у наставку:

Инсталирање .НЕТ Фрамеворк 3.5 на захтев

Ако инсталирате апликацију која захтева .НЕТ Фрамеворк 3.5, али је не налази на систему, она ће аутоматски приказати следећи дијалог. Потребно је само да изаберете Инсталирајте ову функцију за аутоматско преузимање и инсталирање оквира. Ово ће укључивати и верзије 2.0 и 3.5 тако да апликација има све потребне датотеке за извршавање.

Инсталирање .НЕТ Фрамеворк 3.5 са контролне табле

Ако желите сами да инсталирате .НЕТ Фрамеворк 2.0 и 3.5, можете да следите доле наведене кораке:

  1. Идите на Контролна табла -> Програми и функције (Виндовс тастер + Кс + Ф)
  2. У левом менију изаберите Укључити или искључити карактеристике Виндовса . Такође можете отворити ово директно помоћу Покрени -> Опционалне функције .

Ово ће преузети све потребне компоненте са Интернета и аутоматски инсталирати оквир за вас.

Инсталирање .НЕТ Фрамеворк 3.5 у офлајн режиму без повезивања на Интернет

Ако немате интернетску везу, мораћете да следите доле наведене кораке да бисте инсталирали оквир у офлајн режиму. Уверите се да имате Виндовс 8 или 8.1 ДВД или изворне датотеке за инсталирање оквира у оффлине режиму. У супротном, можете преузети .НЕТ Фрамеворк 3.5 оффлине инсталатер са доње локације и инсталирати га двоструким кликом на преузето подешавање.

Ако немате активну Интернет везу, Виндовс ће приказати следећу грешку:

Виндовс није могао да се повеже на Интернет да преузме потребне датотеке. Уверите се да сте повезани на Интернет, па кликните на Покушај поново да покушате поново.

  1. Отворите командну линију са администраторским привилегијама (Виндовс тастер + Кс + А)
  2. Издајте следећу команду:
    Дисм /онлине /енабле-феатуре /феатуренаме: НетФк3 /Алл /Соурце: Д: Извори скс / ЛимитАццесс
    Где је Д: Соурцес скс пут до вашег Виндовс ДВД -а или извор.
    Ако више волите да користите ПоверСхелл, покрените следећу команду у ПоверСхелл -у:
    Инсталл-ВиндовсФеатуре-назив НЕТ-Фрамеворк-Цоре-извор Д: соурцес скс
  3. Ово ће омогућити функцију и обавестиће вас када се процес заврши.

Преузмите .НЕТ Фрамеворк 3.5 оффлине инсталатер

Ако ниједан од начина инсталирања не функционише, онда можете само преузети самостални инсталатер .НЕТ Фрамеворк 3.5 и инсталирати га где год желите.

Преузмите .НЕТ Фрамеворк 3.5 одавде .

Отклањање грешака током инсталације оквира

Грешке 0к800Ф081Ф и 0к800Ф0906

Ово су најчешће грешке на које ћете наићи приликом инсталирања .НЕТ Фрамеворк 3.5. Ево објашњења оба кода:

0к800Ф081Ф - Изворне датотеке нису пронађене

0к800Ф0906 - Није могуће преузети изворне датотеке

Ако сте повезани на Интернет и још увек наилазите на овај проблем, то је зато што сте инсталирали следећа ажурирања за Виндовс:

  1. КБ2966826
  2. КБ2966827
  3. КБ2966828

Ово су безбедносне исправке за .НЕТ Фрамеворк 3.5 које морају бити инсталиране на тренутној инсталацији оквира. Али пошто Мицрософт примењује ова ажурирања без обзира на то да ли је фрамеворк 3.5 инсталиран или не, они се инсталирају чак и када оквир није инсталиран.

Ако се ова ажурирања прво инсталирају, а затим покушате да инсталирате оквир, добићете горе наведене грешке. Мораћете да деинсталирате горенаведена ажурирања, инсталирате .НЕТ Фрамеворк 3.5 на један од горе наведених начина и коначно поново инсталирате исправке.

Коришћење смерница групе за контролу инсталације

Ако горе поменути метод не функционише и још увек не можете да инсталирате оквир, само следите доленаведена упутства и покушајте поново:

  1. Отворите уређивач групних политика (Покрени -> гпедит.мсц)
  2. Идите у следећу кошницу:
    Конфигурација рачунара -> Административни предлошци -> Систем
  3. У десном окну омогућите следеће:
    Наведите поставке за опционалну инсталацију компоненти и поправку компоненти

Надајмо се да ће вам ово омогућити да инсталирате .НЕТ Фрамеворк 3.5 без даљих грешака. Ако и даље имате проблема са инсталацијом, јавите нам путем доњих коментара и ми ћемо покушати да решимо проблеме уместо вас.